@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
async_context_type Struct Reference
pico_async_context

Implementation of an async_context type, providing methods common to that type. More...

`#include <async_context.h>`

## Data Fields

uint16_t | type
void(* | acquire_lock_blocking )(async_context_t *self)
void(* | release_lock )(async_context_t *self)
void(* | lock_check )(async_context_t *self)
uint32_t(* | execute_sync )(async_context_t *context, uint32_t(*func)(void *param), void *param)
bool(* | add_at_time_worker )(async_context_t *self, async_at_time_worker_t *worker)
bool(* | remove_at_time_worker )(async_context_t *self, async_at_time_worker_t *worker)
bool(* | add_when_pending_worker )(async_context_t *self, async_when_pending_worker_t *worker)
bool(* | remove_when_pending_worker )(async_context_t *self, async_when_pending_worker_t *worker)
void(* | set_work_pending )(async_context_t *self, async_when_pending_worker_t *worker)
void(* | poll )(async_context_t *self)
void(* | wait_until )(async_context_t *self, absolute_time_t until)
void(* | wait_for_work_until )(async_context_t *self, absolute_time_t until)
void(* | deinit )(async_context_t *self)

## Detailed Description

Implementation of an async_context type, providing methods common to that type.

The documentation for this struct was generated from the following file:

- include/pico/async_context.h